> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Skip single order

> Skip order specified by order ID



## OpenAPI

````yaml smt put /v1/orders/{orderId}/skip
openapi: 3.0.0
info:
  title: Subscriptions (SMT API)
  description: >-
    fabric's Subscriptions API lets your customers set recurring purchases of
    their desired products or services for a scheduled period (weekly, monthly,
    etc.). In addition, Subscriptions helps you retrieve and update subscription
    details, and lets your customers skip one or more subscription schedules, or
    remove a subscription. This API also lets you create and updates customers
    cancellation reasons, and subscription discounts.
  version: 2.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01.copilot.fabric.inc/data-subscription
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Subscribers
    description: >-
      These endpoints let you create, update, or get one or all of your
      subscribers (customers who have subscriptions). If you request all
      subscribers, you will receive a paginated response; you can specify the
      page size, and which page you want.
  - name: Subscriptions
    description: >-
      These endpoints let your customers set recurring purchases of their
      desired products or services for a scheduled period (weekly, monthly,
      etc.). In addition, these endpoints let you get and update subscription
      details, and let your customers skip one or more subscription schedules,
      or remove a subscription.
  - name: Orders
    description: >-
      These endpoints let your customers purchase products and services from
      your store.
  - name: Cancellation Reasons
    description: These endpoints let you create and get cancellation reasons.
  - name: Subscription Discounts
    description: >-
      These endpoints let you create, update, deactivate, and get discount
      offers for the orders placed by your customers.
paths:
  /v1/orders/{orderId}/skip:
    put:
      tags:
        - Orders
      summary: Skip single order
      description: Skip order specified by order ID
      operationId: skipOrder
      parameters:
        - in: path
          name: orderId
          required: true
          description: Order ID
          schema:
            $ref: '#/components/schemas/Id'
      responses:
        '200':
          description: Request processed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/skippedOrderResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badRequestError'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unAuthError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFoundError'
components:
  schemas:
    Id:
      type: string
      description: General object ID
      example: 606f01f441b8fc0008529916
    skippedOrderResponse:
      type: object
      description: Skipped order details
      properties:
        responseStatus:
          description: Brief response status
          type: string
          example: OK
        message:
          description: Full response message
          type: string
          example: Request processed successfully
        data:
          description: Skipped order details
          type: object
          properties:
            Order:
              $ref: '#/components/schemas/SkippedOrder'
            dateSkipped:
              type: string
              description: Date order skipped
              example: '2020-01-01T00:00:00.000Z'
            nextScheduledOrders:
              $ref: '#/components/schemas/NextScheduledOrders'
            errors:
              type: array
              description: Errors
              items:
                $ref: '#/components/schemas/SkipOrderErrorItems'
    badRequestError:
      type: object
      description: Bad request error
      properties:
        responseStatus:
          type: string
          description: Brief response status
          example: BAD_REQUEST
        message:
          type: string
          description: Full response message
          example: Bad request
    unAuthError:
      type: object
      description: Unauthenticated error
      properties:
        Message:
          description: Full response message
          example: User is not authorized to access this resource with an explicit deny
          type: string
    notFoundError:
      type: object
      description: Not found
      properties:
        responseStatus:
          description: Brief response status
          type: string
          example: NOT_FOUND
        message:
          description: Full response message
          type: string
          example: Not found
    SkippedOrder:
      type: object
      description: Skipped order details
      properties:
        id:
          type: string
          description: Order ID
          example: 6384462ab645220008a4358a
        status:
          type: string
          description: Order status
          example: SKIPPED
    NextScheduledOrders:
      type: object
      description: Next scheduled orders
      properties:
        newOrders:
          type: array
          items:
            type: string
            description: Next scheduled items
            example: 62d51ab385a8cd00092eb8b7
        subscriptions:
          type: array
          items:
            type: string
            description: Next scheduled order related subscriptions
            example: 62d51ab385a8cd00092eb8b7
    SkipOrderErrorItems:
      type: object
      description: Skip order error items
      properties:
        lineItemId:
          type: integer
          description: Line item ID
          example: 1
        code:
          type: string
          description: Error code
          example: SUBSCRIPTION_NOT_FOUND
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````